Summary:	MATE Settings Daemon
Name:		mate-settings-daemon
Version:	1.20.1
Release:	%mkrel 2
License:	GPLv2+
Group:		Graphical desktop/Mate
URL:		http://mate-desktop.org
Source0:	http://pub.mate-desktop.org/releases/1.8/%{name}-%{version}.tar.xz
Source1:	org.mate.settingsdaemon.datetimemechanism.policy
#-------------------------------------------------------
BuildRequires: intltool
BuildRequires: ldetect-lst
BuildRequires: mate-common
BuildRequires: mate-desktop-devel
BuildRequires: lib64atk1.0-devel
BuildRequires: lib64cairo-devel
BuildRequires: lib64dbus-1-devel
BuildRequires: lib64dbus-glib-1_2-devel
BuildRequires: lib64dconf-devel
BuildRequires: lib64fontconfig-devel
BuildRequires: lib64gdk_pixbuf2.0_0-devel
BuildRequires: lib64glib2.0_0-devel
BuildRequires: lib64gtk+3.0-devel
BuildRequires: lib64matekbd-devel
BuildRequires: lib64notify-devel
BuildRequires: lib64nspr-devel
BuildRequires: lib64nss-devel
BuildRequires: lib64pango1.0-devel
BuildRequires: lib64polkit1-devel
BuildRequires: lib64x11-devel
BuildRequires: lib64xi-devel
BuildRequires: lib64xklavier-devel
BuildRequires: lib64xml2-devel
BuildRequires: lib64pulseaudio-devel
BuildRequires: lib64canberra-devel
BuildRequires: libpthread-stubs
BuildRequires: wayland-protocols-devel
#-------------------------------------------------------


%description
MATE settings daemon manages the configuration of the desktop in the
background.

%package devel
Summary:	Include files for the MATE settings daemon
Group:		Development/Libraries
Requires:	%{name} = %{version}
Provides:	%{name}-devel = %{version}-%release

%description devel
Include files for the MATE settings daemon

%prep
%setup -q 
%apply_patches

%build
#NOCONFIGURE=yes ./autogen.sh
%configure2_5x \
   --enable-pulse                      \
   --disable-static                    \
   --enable-polkit                     \
   --libexecdir=%{_libexecdir}/mate-settings-daemon

%make

%install
rm -rf %{buildroot}
%makeinstall_std

# Allow user to change time
install -m 0644 %SOURCE1 %{buildroot}/%{_datadir}/polkit-1/actions/org.mate.settingsdaemon.datetimemechanism.policy

find %{buildroot} -name '*.la' -exec rm -f {} ';'

%find_lang %{name} --with-gnome --all-name


%post
/usr/bin/glib-compile-schemas /usr/share/glib-2.0/schemas

%postun
/usr/bin/glib-compile-schemas /usr/share/glib-2.0/schemas

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING README
%config %{_sysconfdir}/dbus-1/system.d/org.mate.SettingsDaemon.DateTimeMechanism.conf
%config %{_sysconfdir}/xdg/autostart/mate-settings-daemon.desktop
%{_datadir}/dbus-1/services/org.mate.SettingsDaemon.service
%{_datadir}/dbus-1/system-services/org.mate.SettingsDaemon.DateTimeMechanism.service
%{_datadir}/icons/mate/*/*/*
%{_datadir}/mate-settings-daemon
%{_datadir}/glib-2.0/schemas/org.mate.*.xml
%{_datadir}/polkit-1/actions/org.mate.settingsdaemon.datetimemechanism.policy
%{_datadir}/mate-control-center/keybindings/50-accessibility.xml
%{_datadir}/man/man1/mate-settings-daemon.1.bz2
%{_sysconfdir}/xrdb/*
%{_mandir}
%{_datadir}/icons/hicolor
%{_libexecdir}/mate-settings-daemon/mate-settings-daemon
%{_libexecdir}/mate-settings-daemon/msd-datetime-mechanism
%{_libexecdir}/mate-settings-daemon/msd-locate-pointer
%{_libdir}/mate-settings-daemon/a11y-keyboard.mate-settings-plugin
%{_libdir}/mate-settings-daemon/a11y-settings.mate-settings-plugin
%{_libdir}/mate-settings-daemon/background.mate-settings-plugin
%{_libdir}/mate-settings-daemon/clipboard.mate-settings-plugin
%{_libdir}/mate-settings-daemon/housekeeping.mate-settings-plugin
%{_libdir}/mate-settings-daemon/keybindings.mate-settings-plugin
%{_libdir}/mate-settings-daemon/keyboard.mate-settings-plugin
%{_libdir}/mate-settings-daemon/liba11y-keyboard.so
%{_libdir}/mate-settings-daemon/liba11y-settings.so
%{_libdir}/mate-settings-daemon/libbackground.so
%{_libdir}/mate-settings-daemon/libclipboard.so
%{_libdir}/mate-settings-daemon/libhousekeeping.so
%{_libdir}/mate-settings-daemon/libkeybindings.so
%{_libdir}/mate-settings-daemon/libkeyboard.so
%{_libdir}/mate-settings-daemon/libmedia-keys.so
%{_libdir}/mate-settings-daemon/libmouse.so
%{_libdir}/mate-settings-daemon/libmpris.so
%{_libdir}/mate-settings-daemon/libsmartcard.so
%{_libdir}/mate-settings-daemon/libsound.so
%{_libdir}/mate-settings-daemon/libtyping-break.so
%{_libdir}/mate-settings-daemon/libxrandr.so
%{_libdir}/mate-settings-daemon/libxrdb.so
%{_libdir}/mate-settings-daemon/libxsettings.so
%{_libdir}/mate-settings-daemon/media-keys.mate-settings-plugin
%{_libdir}/mate-settings-daemon/mouse.mate-settings-plugin
%{_libdir}/mate-settings-daemon/mpris.mate-settings-plugin
%{_libdir}/mate-settings-daemon/smartcard.mate-settings-plugin
%{_libdir}/mate-settings-daemon/sound.mate-settings-plugin
%{_libdir}/mate-settings-daemon/typing-break.mate-settings-plugin
%{_libdir}/mate-settings-daemon/xrandr.mate-settings-plugin
%{_libdir}/mate-settings-daemon/xrdb.mate-settings-plugin
%{_libdir}/mate-settings-daemon/xsettings.mate-settings-plugin


%files devel
%defattr(-,root,root,-)
%{_libdir}/pkgconfig/mate-settings-daemon.pc
%dir %{_includedir}/mate-settings-daemon
%{_includedir}/mate-settings-daemon/*

%clean
rm -rf %{buildroot}


%changelog
* Sun Apr 01 2018 bb2 <bb2> - 1.20.1-1pclos2018
- rebuild with different built options

* Sat Mar 31 2018 bb2 <bb2> - 1.20.1-1pclos2018
- new version

* Sat Feb 17 2018 bb2 <bb2> - 1.20.0-1pclos2018
- new version

* Wed Oct 25 2017 bb2 <bb2> - 1.18.2-1pclos2017
- new version

* Wed Sep 13 2017 bb2 <bb2> - 1.18.1-3pclos2017
- rebuild against updates

* Wed Apr 12 2017 bb2 <bb2> - 1.18.1-2pclos2017
- adjust build options

* Thu Apr 06 2017 bb2 <bb2> - 1.18.1-1pclos2017
- new version

* Tue Mar 14 2017 bb2 <bb2> - 1.18.0-1pclos2017
- new version

* Mon Feb 06 2017 bb <bb> - 1.16.1-2pclos2017
- rebuild

* Mon Feb 06 2017 bb <bb> - 1.16.1-1pclos2017
- new version

* Wed Sep 21 2016 bb <bb> 1.16.0-1pclos2016
- update

* Mon Aug 15 2016 bb <bb> 1.14.1-1pclos2016
- update


